Endpoints
Get Close User Account Transaction
Generates a base64-encoded, serialized unsigned Solana versioned transaction for closing a Breeze user-fund account. Identify it by its user-fund account address or by the complete wallet + strategy + mint tuple.
Authorization
api_key x-api-key<token>
In: header
Request Body
application/json
Use exactly one identity form: user_account, or user_pubkey + strategy_id + mint.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/close-user-account/tx" \ -H "Content-Type: application/json" \ -d '{ "params": { "mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "strategy_id": "43620ba3-354c-456b-aa3c-5bf7fa46a6d4", "user_pubkey": "GgBaCs3NCBuZN12kCJgAW63ydqohFkHEdfdEXBPzLHq" } }'"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAQAAAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAQEBAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgIAAA=="{ "message": "Either user_account or user_pubkey + strategy_id + mint must be provided"}{ "message": "Missing credentials"}{ "message": "API key invalid or doesn't exist"}{ "message": "Internal server error"}